curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/bootstrap \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/bootstrap"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/operator/bootstrap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chart_repository": "oci://public.ecr.aws/r3m4q3r9/charts",
"chart_name": "qovery-operator",
"chart_version": "0.2.1",
"chart_reference": "oci://public.ecr.aws/r3m4q3r9/charts/qovery-operator",
"namespace": "qovery",
"release_name": "qovery-operator",
"values": {},
"values_yaml": "<string>",
"helm_command": "helm upgrade --install qovery-operator oci://public.ecr.aws/r3m4q3r9/charts/qovery-operator --version 0.2.1 --namespace qovery --create-namespace --atomic --wait --timeout 15m -f values.yaml"
}Get the Qovery Operator bootstrap
Compiles the Helm chart coordinates, values file, and ready-to-run Helm command for a self-managed cluster. The response contains cluster credentials and must be handled as sensitive data. Cluster administrator permission is required.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Cluster ID
Response
Compiled Qovery Operator bootstrap
Sensitive bootstrap material used to install or manually upgrade the Qovery Operator on a self-managed cluster.
"oci://public.ecr.aws/r3m4q3r9/charts"
"qovery-operator"
"0.2.1"
"oci://public.ecr.aws/r3m4q3r9/charts/qovery-operator"
"qovery"
"qovery-operator"
Structured Helm values. This object can contain cluster credentials.
Ready-to-write Helm values file. This value can contain cluster credentials.
Ready-to-run Helm upgrade/install command using values_yaml.
"helm upgrade --install qovery-operator oci://public.ecr.aws/r3m4q3r9/charts/qovery-operator --version 0.2.1 --namespace qovery --create-namespace --atomic --wait --timeout 15m -f values.yaml"
Was this page helpful?